Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Class PdfName

    java.lang.Object
      org.pdfclown.objects.PdfObject
          org.pdfclown.objects.PdfDataObject
              org.pdfclown.objects.PdfDirectObject
                  org.pdfclown.objects.PdfSimpleObject<String>
                      org.pdfclown.objects.PdfName

All Implemented Interfaces:
  Cloneable, Comparable<PdfDirectObject>, IVisitable

    public final class PdfName

extends PdfSimpleObject<String>

PDF name object [PDF:1.6:3.2.4].

Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static PdfName` | `a`
`static PdfName` | `A`
`static PdfName` | `A85`
`static PdfName` | `AA`
`static PdfName` | `AC`
`static PdfName` | `AcroForm`
`static PdfName` | `Action`
`static PdfName` | `AHx`
`static PdfName` | `AIS`
`static PdfName` | `All`
`static PdfName` | `AllOff`
`static PdfName` | `AllOn`
`static PdfName` | `AllPages`
`static PdfName` | `AN`
`static PdfName` | `Annot`
`static PdfName` | `Annotation`
`static PdfName` | `Annots`
`static PdfName` | `AnyOff`
`static PdfName` | `AnyOn`
`static PdfName` | `AP`
`static PdfName` | `Approved`
`static PdfName` | `ArtBox`
`static PdfName` | `AS`
`static PdfName` | `Ascent`
`static PdfName` | `ASCII85Decode`
`static PdfName` | `ASCIIHexDecode`
`static PdfName` | `AsIs`
`static PdfName` | `Author`
`static PdfName` | `B`
`static PdfName` | `BaseEncoding`
`static PdfName` | `BaseFont`
`static PdfName` | `BaseState`
`static PdfName` | `BBox`
`static PdfName` | `BC`
`static PdfName` | `BE`
`static PdfName` | `Bead`
`static PdfName` | `BG`
`static PdfName` | `BitsPerComponent`
`static PdfName` | `BitsPerSample`
`static PdfName` | `Bl`
`static PdfName` | `BlackPoint`
`static PdfName` | `BleedBox`
`static PdfName` | `Blinds`
`static PdfName` | `BM`
`static PdfName` | `Border`
`static PdfName` | `Bounds`
`static PdfName` | `Box`
`static PdfName` | `BPC`
`static PdfName` | `BS`
`static PdfName` | `Btn`
`static PdfName` | `BU`
`static PdfName` | `Butt`
`static PdfName` | `C`
`static PdfName` | `C0`
`static PdfName` | `C1`
`static PdfName` | `ca`
`static PdfName` | `CA`
`static PdfName` | `CalGray`
`static PdfName` | `CalRGB`
`static PdfName` | `Cap`
`static PdfName` | `CapHeight`
`static PdfName` | `Caret`
`static PdfName` | `Catalog`
`static PdfName` | `Category`
`static PdfName` | `CCF`
`static PdfName` | `CCITTFaxDecode`
`static PdfName` | `CenterWindow`
`static PdfName` | `Ch`
`static PdfName` | `CIDFontType0`
`static PdfName` | `CIDFontType2`
`static PdfName` | `CIDSystemInfo`
`static PdfName` | `CIDToGIDMap`
`static PdfName` | `Circle`
`static PdfName` | `CL`
`static PdfName` | `ClosedArrow`
`static PdfName` | `CMap`
`static PdfName` | `CMapName`
`static PdfName` | `Color`
`static PdfName` | `ColorBurn`
`static PdfName` | `ColorDodge`
`static PdfName` | `Colors`
`static PdfName` | `ColorSpace`
`static PdfName` | `Columns`
`static PdfName` | `Comment`
`static PdfName` | `Confidential`
`static PdfName` | `Configs`
`static PdfName` | `Contents`
`static PdfName` | `Count`
`static PdfName` | `Cover`
`static PdfName` | `CreationDate`
`static PdfName` | `Creator`
`static PdfName` | `CreatorInfo`
`static PdfName` | `CropBox`
`static PdfName` | `Crypt`
`static PdfName` | `CS`
`static PdfName` | `CT`
`static PdfName` | `D`
`static PdfName` | `DA`
`static PdfName` | `Darken`
`static PdfName` | `DC`
`static PdfName` | `DCT`
`static PdfName` | `DCTDecode`
`static PdfName` | `Decode`
`static PdfName` | `DecodeParms`
`static PdfName` | `Departmental`
`static PdfName` | `Desc`
`static PdfName` | `DescendantFonts`
`static PdfName` | `Descent`
`static PdfName` | `Dest`
`static PdfName` | `Dests`
`static PdfName` | `DeviceCMYK`
`static PdfName` | `DeviceGray`
`static PdfName` | `DeviceN`
`static PdfName` | `DeviceRGB`
`static PdfName` | `Di`
`static PdfName` | `Diamond`
`static PdfName` | `Difference`
`static PdfName` | `Differences`
`static PdfName` | `Direction`
`static PdfName` | `DisplayDocTitle`
`static PdfName` | `Dissolve`
`static PdfName` | `Dm`
`static PdfName` | `Domain`
`static PdfName` | `DOS`
`static PdfName` | `DP`
`static PdfName` | `DR`
`static PdfName` | `Draft`
`static PdfName` | `DS`
`static PdfName` | `Dur`
`static PdfName` | `DV`
`static PdfName` | `E`
`static PdfName` | `EF`
`static PdfName` | `EmbeddedFile`
`static PdfName` | `EmbeddedFiles`
`static PdfName` | `Encode`
`static PdfName` | `Encoding`
`static PdfName` | `Encrypt`
`static PdfName` | `Event`
`static PdfName` | `Exclusion`
`static PdfName` | `Experimental`
`static PdfName` | `Expired`
`static PdfName` | `Export`
`static PdfName` | `ExportState`
`static PdfName` | `Extends`
`static PdfName` | `ExtGState`
`static PdfName` | `F`
`static PdfName` | `Fade`
`static PdfName` | `FB`
`static PdfName` | `FDecodeParms`
`static PdfName` | `Ff`
`static PdfName` | `FFilter`
`static PdfName` | `Fields`
`static PdfName` | `FileAttachment`
`static PdfName` | `Filespec`
`static PdfName` | `Filter`
`static PdfName` | `Final`
`static PdfName` | `First`
`static PdfName` | `FirstChar`
`static PdfName` | `FirstPage`
`static PdfName` | `Fit`
`static PdfName` | `FitB`
`static PdfName` | `FitBH`
`static PdfName` | `FitBV`
`static PdfName` | `FitH`
`static PdfName` | `FitR`
`static PdfName` | `FitV`
`static PdfName` | `FitWindow`
`static PdfName` | `Fl`
`static PdfName` | `Flags`
`static PdfName` | `FlateDecode`
`static PdfName` | `Fly`
`static PdfName` | `Fo`
`static PdfName` | `Font`
`static PdfName` | `FontBBox`
`static PdfName` | `FontDescriptor`
`static PdfName` | `FontFile`
`static PdfName` | `FontFile2`
`static PdfName` | `FontFile3`
`static PdfName` | `FontName`
`static PdfName` | `ForComment`
`static PdfName` | `Form`
`static PdfName` | `ForPublicRelease`
`static PdfName` | `FreeText`
`static PdfName` | `FS`
`static PdfName` | `FT`
`static PdfName` | `FullScreen`
`static PdfName` | `Functions`
`static PdfName` | `FunctionType`
`static PdfName` | `FWParams`
`static PdfName` | `Gamma`
`static PdfName` | `Glitter`
`static PdfName` | `GoTo`
`static PdfName` | `GoTo3DView`
`static PdfName` | `GoToAction`
`static PdfName` | `GoToE`
`static PdfName` | `GoToR`
`static PdfName` | `Graph`
`static PdfName` | `H`
`static PdfName` | `HardLight`
`static PdfName` | `Height`
`static PdfName` | `Help`
`static PdfName` | `HI`
`static PdfName` | `Hide`
`static PdfName` | `HideMenubar`
`static PdfName` | `HideToolbar`
`static PdfName` | `HideWindowUI`
`static PdfName` | `Highlight`
`static PdfName` | `Hue`
`static PdfName` | `I`
`static PdfName` | `IC`
`static PdfName` | `ICCBased`
`static PdfName` | `ID`
`static PdfName` | `Identity`
`static PdfName` | `IdentityH`
`static PdfName` | `IdentityV`
`static PdfName` | `IF`
`static PdfName` | `Image`
`static PdfName` | `ImportData`
`static PdfName` | `Index`
`static PdfName` | `Indexed`
`static PdfName` | `Info`
`static PdfName` | `Ink`
`static PdfName` | `InkList`
`static PdfName` | `Insert`
`static PdfName` | `ItalicAngle`
`static PdfName` | `IX`
`static PdfName` | `JavaScript`
`static PdfName` | `JBIG2Decode`
`static PdfName` | `JPXDecode`
`static PdfName` | `JS`
`static PdfName` | `K`
`static PdfName` | `Key`
`static PdfName` | `Keywords`
`static PdfName` | `Kids`
`static PdfName` | `L`
`static PdfName` | `L2R`
`static PdfName` | `Lab`
`static PdfName` | `Lang`
`static PdfName` | `Language`
`static PdfName` | `Last`
`static PdfName` | `LastChar`
`static PdfName` | `LastPage`
`static PdfName` | `Launch`
`static PdfName` | `LC`
`static PdfName` | `LE`
`static PdfName` | `Leading`
`static PdfName` | `Length`
`static PdfName` | `LI`
`static PdfName` | `Lighten`
`static PdfName` | `Limits`
`static PdfName` | `Line`
`static PdfName` | `Link`
`static PdfName` | `ListMode`
`static PdfName` | `LJ`
`static PdfName` | `LL`
`static PdfName` | `LLE`
`static PdfName` | `Locked`
`static PdfName` | `Luminosity`
`static PdfName` | `LW`
`static PdfName` | `LZW`
`static PdfName` | `LZWDecode`
`static PdfName` | `M`
`static PdfName` | `Mac`
`static PdfName` | `MacRomanEncoding`
`static PdfName` | `Matrix`
`static PdfName` | `max`
`static PdfName` | `MaxLen`
`static PdfName` | `MCD`
`static PdfName` | `MCS`
`static PdfName` | `MediaBox`
`static PdfName` | `MediaClip`
`static PdfName` | `MediaDuration`
`static PdfName` | `MediaOffset`
`static PdfName` | `MediaPlayerInfo`
`static PdfName` | `MediaPlayParams`
`static PdfName` | `MediaScreenParams`
`static PdfName` | `Metadata`
`static PdfName` | `MH`
`static PdfName` | `Mic`
`static PdfName` | `min`
`static PdfName` | `MissingWidth`
`static PdfName` | `MK`
`static PdfName` | `ML`
`static PdfName` | `MMType1`
`static PdfName` | `ModDate`
`static PdfName` | `Movie`
`static PdfName` | `MR`
`static PdfName` | `MU`
`static PdfName` | `Multiply`
`static PdfName` | `N`
`static PdfName` | `Name`
`static PdfName` | `Named`
`static PdfName` | `Names`
`static PdfName` | `NewParagraph`
`static PdfName` | `NewWindow`
`static PdfName` | `Next`
`static PdfName` | `NextPage`
`static PdfName` | `NM`
`static PdfName` | `None`
`static PdfName` | `Normal`
`static PdfName` | `NotApproved`
`static PdfName` | `Note`
`static PdfName` | `NotForPublicRelease`
`static PdfName` | `NU`
`static PdfName` | `Nums`
`static PdfName` | `O`
`static PdfName` | `ObjStm`
`static PdfName` | `OC`
`static PdfName` | `OCG`
`static PdfName` | `OCGs`
`static PdfName` | `OCMD`
`static PdfName` | `OCProperties`
`static PdfName` | `Off`
`static PdfName` | `OFF`
`static PdfName` | `ON`
`static PdfName` | `OneColumn`
`static PdfName` | `OP`
`static PdfName` | `Open`
`static PdfName` | `OpenAction`
`static PdfName` | `OpenArrow`
`static PdfName` | `OpenType`
`static PdfName` | `Opt`
`static PdfName` | `Order`
`static PdfName` | `Ordering`
`static PdfName` | `OS`
`static PdfName` | `Outlines`
`static PdfName` | `Overlay`
`static PdfName` | `P`
`static PdfName` | `Page`
`static PdfName` | `PageLabel`
`static PdfName` | `PageLabels`
`static PdfName` | `PageLayout`
`static PdfName` | `PageMode`
`static PdfName` | `Pages`
`static PdfName` | `PaintType`
`static PdfName` | `Paperclip`
`static PdfName` | `Paragraph`
`static PdfName` | `Params`
`static PdfName` | `Parent`
`static PdfName` | `Pattern`
`static PdfName` | `PatternType`
`static PdfName` | `PC`
`static PdfName` | `PDFDocEncoding`
`static PdfName` | `PI`
`static PdfName` | `PID`
`static PdfName` | `PL`
`static PdfName` | `PO`
`static PdfName` | `Polygon`
`static PdfName` | `PolyLine`
`static PdfName` | `Popup`
`static PdfName` | `Predictor`
`static PdfName` | `Prev`
`static PdfName` | `PrevPage`
`static PdfName` | `Print`
`static PdfName` | `PrintState`
`static PdfName` | `Producer`
`static PdfName` | `Properties`
`static PdfName` | `Push`
`static PdfName` | `PushPin`
`static PdfName` | `PV`
`static PdfName` | `Q`
`static PdfName` | `QuadPoints`
`static PdfName` | `r`
`static PdfName` | `R`
`static PdfName` | `R2L`
`static PdfName` | `Range`
`static PdfName` | `RBGroups`
`static PdfName` | `RC`
`static PdfName` | `RClosedArrow`
`static PdfName` | `Rect`
`static PdfName` | `Registry`
`static PdfName` | `Rendition`
`static PdfName` | `Renditions`
`static PdfName` | `ResetForm`
`static PdfName` | `Resources`
`static PdfName` | `RF`
`static PdfName` | `RGB`
`static PdfName` | `RI`
`static PdfName` | `RL`
`static PdfName` | `Root`
`static PdfName` | `ROpenArrow`
`static PdfName` | `Rotate`
`static PdfName` | `RT`
`static PdfName` | `RunLengthDecode`
`static PdfName` | `S`
`static PdfName` | `Saturation`
`static PdfName` | `Screen`
`static PdfName` | `Separation`
`static PdfName` | `SetOCGState`
`static PdfName` | `Shading`
`static PdfName` | `Sig`
`static PdfName` | `SinglePage`
`static PdfName` | `Size`
`static PdfName` | `Slash`
`static PdfName` | `SoftLight`
`static PdfName` | `Sold`
`static PdfName` | `Sound`
`static PdfName` | `SP`
`static PdfName` | `Speaker`
`static PdfName` | `Split`
`static PdfName` | `Square`
`static PdfName` | `Squiggly`
`static PdfName` | `SR`
`static PdfName` | `SS`
`static PdfName` | `St`
`static PdfName` | `Stamp`
`static PdfName` | `StandardEncoding`
`static PdfName` | `State`
`static PdfName` | `StemV`
`static PdfName` | `StrikeOut`
`static PdfName` | `StructParent`
`static PdfName` | `Subject`
`static PdfName` | `SubmitForm`
`static PdfName` | `Subtype`
`static PdfName` | `Supplement`
`static PdfName` | `SW`
`static PdfName` | `Sy`
`static PdfName` | `T`
`static PdfName` | `Tabs`
`static PdfName` | `Tag`
`static PdfName` | `Text`
`static PdfName` | `TF`
`static PdfName` | `Thread`
`static PdfName` | `Threads`
`static PdfName` | `TilingType`
`static PdfName` | `Timespan`
`static PdfName` | `Title`
`static PdfName` | `Toggle`
`static PdfName` | `TopSecret`
`static PdfName` | `ToUnicode`
`static PdfName` | `TP`
`static PdfName` | `Trans`
`static PdfName` | `TrimBox`
`static PdfName` | `TrueType`
`static PdfName` | `TwoColumnLeft`
`static PdfName` | `TwoColumnRight`
`static PdfName` | `TwoPageLeft`
`static PdfName` | `TwoPageRight`
`static PdfName` | `Tx`
`static PdfName` | `Type`
`static PdfName` | `Type0`
`static PdfName` | `Type1`
`static PdfName` | `Type1C`
`static PdfName` | `Type3`
`static PdfName` | `U`
`static PdfName` | `UC`
`static PdfName` | `Unchanged`
`static PdfName` | `Uncover`
`static PdfName` | `Underline`
`static PdfName` | `Unix`
`static PdfName` | `URI`
`static PdfName` | `URL`
`static PdfName` | `Usage`
`static PdfName` | `UseAttachments`
`static PdfName` | `UseNone`
`static PdfName` | `UseOC`
`static PdfName` | `UseOutlines`
`static PdfName` | `UseThumbs`
`static PdfName` | `V`
`static PdfName` | `Version`
`static PdfName` | `Vertices`
`static PdfName` | `View`
`static PdfName` | `ViewerPreferences`
`static PdfName` | `ViewState`
`static PdfName` | `VisiblePages`
`static PdfName` | `W`
`static PdfName` | `WhitePoint`
`static PdfName` | `Widget`
`static PdfName` | `Width`
`static PdfName` | `Widths`
`static PdfName` | `Win`
`static PdfName` | `WinAnsiEncoding`
`static PdfName` | `Wipe`
`static PdfName` | `WP`
`static PdfName` | `WS`
`static PdfName` | `X`
`static PdfName` | `XML`
`static PdfName` | `XObject`
`static PdfName` | `XRef`
`static PdfName` | `XStep`
`static PdfName` | `XYZ`
`static PdfName` | `Yes`
`static PdfName` | `YStep`
`static PdfName` | `Z`
`static PdfName` | `Zoom`

Constructor Summary
`PdfName(String value)`
`PdfName(String value, boolean escaped)` For internal use only.

Method Summary
`PdfObject` | `accept(IVisitor visitor, Object data)` Accepts a visit.
`int` | `compareTo(PdfDirectObject obj)`
`static PdfName` | `get(Object value)` Gets the object equivalent to the given value.
`static PdfName` | `get(String value)` Gets the object equivalent to the given value.
`String` | `getValue()` Gets the high-level representation of the value.
`protected void` | `setValue(Object value)`
`String` | `toString()`
`void` | `writeTo(IOutputStream stream, File context)` Serializes this object to the specified stream.

Methods inherited from class org.pdfclown.objects.PdfSimpleObject
`clone, equals, getParent, getRawValue, getValue, getValue, hashCode, isUpdateable, isUpdated, isVirtual, setRawValue, setUpdateable, setUpdated, setVirtual, swap`

Methods inherited from class org.pdfclown.objects.PdfObject
`clone, clone, getContainer, getDataContainer, getFile, getIndirectObject, getReference, resolve, resolve, unresolve, unresolve, update`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### A

    public static final PdfName A

### a

    public static final PdfName a

### A85

    public static final PdfName A85

### AA

    public static final PdfName AA

### AC

    public static final PdfName AC

### Action

    public static final PdfName Action

### AcroForm

    public static final PdfName AcroForm

### AHx

    public static final PdfName AHx

### AIS

    public static final PdfName AIS

### All

    public static final PdfName All

### AllOff

    public static final PdfName AllOff

### AllOn

    public static final PdfName AllOn

### AllPages

    public static final PdfName AllPages

### AN

    public static final PdfName AN

### Annot

    public static final PdfName Annot

### Annotation

    public static final PdfName Annotation

### Annots

    public static final PdfName Annots

### AnyOff

    public static final PdfName AnyOff

### AnyOn

    public static final PdfName AnyOn

### AP

    public static final PdfName AP

### Approved

    public static final PdfName Approved

### ArtBox

    public static final PdfName ArtBox

### AS

    public static final PdfName AS

### Ascent

    public static final PdfName Ascent

### ASCII85Decode

    public static final PdfName ASCII85Decode

### ASCIIHexDecode

    public static final PdfName ASCIIHexDecode

### AsIs

    public static final PdfName AsIs

### Author

    public static final PdfName Author

### B

    public static final PdfName B

### BaseEncoding

    public static final PdfName BaseEncoding

### BaseFont

    public static final PdfName BaseFont

### BaseState

    public static final PdfName BaseState

### BBox

    public static final PdfName BBox

### BC

    public static final PdfName BC

### BE

    public static final PdfName BE

### Bead

    public static final PdfName Bead

### BG

    public static final PdfName BG

### BitsPerComponent

    public static final PdfName BitsPerComponent

### BitsPerSample

    public static final PdfName BitsPerSample

### Bl

    public static final PdfName Bl

### BlackPoint

    public static final PdfName BlackPoint

### BleedBox

    public static final PdfName BleedBox

### Blinds

    public static final PdfName Blinds

### BM

    public static final PdfName BM

### Border

    public static final PdfName Border

### Bounds

    public static final PdfName Bounds

### Box

    public static final PdfName Box

### BPC

    public static final PdfName BPC

### BS

    public static final PdfName BS

### Btn

    public static final PdfName Btn

### BU

    public static final PdfName BU

### Butt

    public static final PdfName Butt

### C

    public static final PdfName C

### C0

    public static final PdfName C0

### C1

    public static final PdfName C1

### CA

    public static final PdfName CA

### ca

    public static final PdfName ca

### CalGray

    public static final PdfName CalGray

### CalRGB

    public static final PdfName CalRGB

### Cap

    public static final PdfName Cap

### CapHeight

    public static final PdfName CapHeight

### Caret

    public static final PdfName Caret

### Catalog

    public static final PdfName Catalog

### Category

    public static final PdfName Category

### CCF

    public static final PdfName CCF

### CCITTFaxDecode

    public static final PdfName CCITTFaxDecode

### CenterWindow

    public static final PdfName CenterWindow

### Ch

    public static final PdfName Ch

### CIDFontType0

    public static final PdfName CIDFontType0

### CIDFontType2

    public static final PdfName CIDFontType2

### CIDSystemInfo

    public static final PdfName CIDSystemInfo

### CIDToGIDMap

    public static final PdfName CIDToGIDMap

### Circle

    public static final PdfName Circle

### CL

    public static final PdfName CL

### ClosedArrow

    public static final PdfName ClosedArrow

### CMap

    public static final PdfName CMap

### CMapName

    public static final PdfName CMapName

### Color

    public static final PdfName Color

### ColorBurn

    public static final PdfName ColorBurn

### ColorDodge

    public static final PdfName ColorDodge

### Colors

    public static final PdfName Colors

### ColorSpace

    public static final PdfName ColorSpace

### Columns

    public static final PdfName Columns

### Comment

    public static final PdfName Comment

### Confidential

    public static final PdfName Confidential

### Configs

    public static final PdfName Configs

### Contents

    public static final PdfName Contents

### Count

    public static final PdfName Count

### Cover

    public static final PdfName Cover

### CreationDate

    public static final PdfName CreationDate

### Creator

    public static final PdfName Creator

### CreatorInfo

    public static final PdfName CreatorInfo

### CropBox

    public static final PdfName CropBox

### Crypt

    public static final PdfName Crypt

### CS

    public static final PdfName CS

### CT

    public static final PdfName CT

### D

    public static final PdfName D

### DA

    public static final PdfName DA

### Darken

    public static final PdfName Darken

### DC

    public static final PdfName DC

### DCT

    public static final PdfName DCT

### DCTDecode

    public static final PdfName DCTDecode

### Decode

    public static final PdfName Decode

### DecodeParms

    public static final PdfName DecodeParms

### Departmental

    public static final PdfName Departmental

### Desc

    public static final PdfName Desc

### DescendantFonts

    public static final PdfName DescendantFonts

### Descent

    public static final PdfName Descent

### Dest

    public static final PdfName Dest

### Dests

    public static final PdfName Dests

### DeviceCMYK

    public static final PdfName DeviceCMYK

### DeviceGray

    public static final PdfName DeviceGray

### DeviceRGB

    public static final PdfName DeviceRGB

### DeviceN

    public static final PdfName DeviceN

### Di

    public static final PdfName Di

### Diamond

    public static final PdfName Diamond

### Difference

    public static final PdfName Difference

### Differences

    public static final PdfName Differences

### Direction

    public static final PdfName Direction

### DisplayDocTitle

    public static final PdfName DisplayDocTitle

### Dissolve

    public static final PdfName Dissolve

### Dm

    public static final PdfName Dm

### Domain

    public static final PdfName Domain

### DOS

    public static final PdfName DOS

### DP

    public static final PdfName DP

### DR

    public static final PdfName DR

### Draft

    public static final PdfName Draft

### DS

    public static final PdfName DS

### Dur

    public static final PdfName Dur

### DV

    public static final PdfName DV

### E

    public static final PdfName E

### EF

    public static final PdfName EF

### EmbeddedFile

    public static final PdfName EmbeddedFile

### EmbeddedFiles

    public static final PdfName EmbeddedFiles

### Encode

    public static final PdfName Encode

### Encoding

    public static final PdfName Encoding

### Encrypt

    public static final PdfName Encrypt

### Event

    public static final PdfName Event

### Exclusion

    public static final PdfName Exclusion

### Experimental

    public static final PdfName Experimental

### Expired

    public static final PdfName Expired

### Export

    public static final PdfName Export

### ExportState

    public static final PdfName ExportState

### Extends

    public static final PdfName Extends

### ExtGState

    public static final PdfName ExtGState

### F

    public static final PdfName F

### Fade

    public static final PdfName Fade

### FB

    public static final PdfName FB

### FDecodeParms

    public static final PdfName FDecodeParms

### Ff

    public static final PdfName Ff

### FFilter

    public static final PdfName FFilter

### Fields

    public static final PdfName Fields

### FileAttachment

    public static final PdfName FileAttachment

### Filespec

    public static final PdfName Filespec

### Filter

    public static final PdfName Filter

### Final

    public static final PdfName Final

### First

    public static final PdfName First

### FirstChar

    public static final PdfName FirstChar

### FirstPage

    public static final PdfName FirstPage

### Fit

    public static final PdfName Fit

### FitB

    public static final PdfName FitB

### FitBH

    public static final PdfName FitBH

### FitBV

    public static final PdfName FitBV

### FitH

    public static final PdfName FitH

### FitR

    public static final PdfName FitR

### FitV

    public static final PdfName FitV

### FitWindow

    public static final PdfName FitWindow

### Fl

    public static final PdfName Fl

### Flags

    public static final PdfName Flags

### FlateDecode

    public static final PdfName FlateDecode

### Fly

    public static final PdfName Fly

### Fo

    public static final PdfName Fo

### Font

    public static final PdfName Font

### FontBBox

    public static final PdfName FontBBox

### FontDescriptor

    public static final PdfName FontDescriptor

### FontFile

    public static final PdfName FontFile

### FontFile2

    public static final PdfName FontFile2

### FontFile3

    public static final PdfName FontFile3

### FontName

    public static final PdfName FontName

### ForComment

    public static final PdfName ForComment

### Form

    public static final PdfName Form

### ForPublicRelease

    public static final PdfName ForPublicRelease

### FreeText

    public static final PdfName FreeText

### FS

    public static final PdfName FS

### FT

    public static final PdfName FT

### FullScreen

    public static final PdfName FullScreen

### Functions

    public static final PdfName Functions

### FunctionType

    public static final PdfName FunctionType

### FWParams

    public static final PdfName FWParams

### Gamma

    public static final PdfName Gamma

### Glitter

    public static final PdfName Glitter

### GoTo

    public static final PdfName GoTo

### GoTo3DView

    public static final PdfName GoTo3DView

### GoToAction

    public static final PdfName GoToAction

### GoToE

    public static final PdfName GoToE

### GoToR

    public static final PdfName GoToR

### Graph

    public static final PdfName Graph

### H

    public static final PdfName H

### HardLight

    public static final PdfName HardLight

### Height

    public static final PdfName Height

### Help

    public static final PdfName Help

### HI

    public static final PdfName HI

### Hide

    public static final PdfName Hide

### HideMenubar

    public static final PdfName HideMenubar

### HideToolbar

    public static final PdfName HideToolbar

### HideWindowUI

    public static final PdfName HideWindowUI

### Highlight

    public static final PdfName Highlight

### Hue

    public static final PdfName Hue

### I

    public static final PdfName I

### IC

    public static final PdfName IC

### ICCBased

    public static final PdfName ICCBased

### ID

    public static final PdfName ID

### Identity

    public static final PdfName Identity

### IdentityH

    public static final PdfName IdentityH

### IdentityV

    public static final PdfName IdentityV

### IF

    public static final PdfName IF

### Image

    public static final PdfName Image

### ImportData

    public static final PdfName ImportData

### Index

    public static final PdfName Index

### Indexed

    public static final PdfName Indexed

### Info

    public static final PdfName Info

### Ink

    public static final PdfName Ink

### InkList

    public static final PdfName InkList

### Insert

    public static final PdfName Insert

### ItalicAngle

    public static final PdfName ItalicAngle

### IX

    public static final PdfName IX

### JavaScript

    public static final PdfName JavaScript

### JBIG2Decode

    public static final PdfName JBIG2Decode

### JPXDecode

    public static final PdfName JPXDecode

### JS

    public static final PdfName JS

### K

    public static final PdfName K

### Key

    public static final PdfName Key

### Keywords

    public static final PdfName Keywords

### Kids

    public static final PdfName Kids

### L

    public static final PdfName L

### L2R

    public static final PdfName L2R

### Lab

    public static final PdfName Lab

### Lang

    public static final PdfName Lang

### Language

    public static final PdfName Language

### Last

    public static final PdfName Last

### LastChar

    public static final PdfName LastChar

### LastPage

    public static final PdfName LastPage

### Launch

    public static final PdfName Launch

### LC

    public static final PdfName LC

### LE

    public static final PdfName LE

### Leading

    public static final PdfName Leading

### Length

    public static final PdfName Length

### LI

    public static final PdfName LI

### Lighten

    public static final PdfName Lighten

### Limits

    public static final PdfName Limits

### Line

    public static final PdfName Line

### Link

    public static final PdfName Link

### ListMode

    public static final PdfName ListMode

### LJ

    public static final PdfName LJ

### LL

    public static final PdfName LL

### LLE

    public static final PdfName LLE

### Locked

    public static final PdfName Locked

### Luminosity

    public static final PdfName Luminosity

### LW

    public static final PdfName LW

### LZW

    public static final PdfName LZW

### LZWDecode

    public static final PdfName LZWDecode

### M

    public static final PdfName M

### Mac

    public static final PdfName Mac

### MacRomanEncoding

    public static final PdfName MacRomanEncoding

### Matrix

    public static final PdfName Matrix

### max

    public static final PdfName max

### MaxLen

    public static final PdfName MaxLen

### MCD

    public static final PdfName MCD

### MCS

    public static final PdfName MCS

### MediaBox

    public static final PdfName MediaBox

### MediaClip

    public static final PdfName MediaClip

### MediaDuration

    public static final PdfName MediaDuration

### MediaOffset

    public static final PdfName MediaOffset

### MediaPlayerInfo

    public static final PdfName MediaPlayerInfo

### MediaPlayParams

    public static final PdfName MediaPlayParams

### MediaScreenParams

    public static final PdfName MediaScreenParams

### Metadata

    public static final PdfName Metadata

### MH

    public static final PdfName MH

### Mic

    public static final PdfName Mic

### min

    public static final PdfName min

### MissingWidth

    public static final PdfName MissingWidth

### MK

    public static final PdfName MK

### ML

    public static final PdfName ML

### MMType1

    public static final PdfName MMType1

### ModDate

    public static final PdfName ModDate

### Movie

    public static final PdfName Movie

### MR

    public static final PdfName MR

### MU

    public static final PdfName MU

### Multiply

    public static final PdfName Multiply

### N

    public static final PdfName N

### Name

    public static final PdfName Name

### Named

    public static final PdfName Named

### Names

    public static final PdfName Names

### NewParagraph

    public static final PdfName NewParagraph

### NewWindow

    public static final PdfName NewWindow

### Next

    public static final PdfName Next

### NextPage

    public static final PdfName NextPage

### NM

    public static final PdfName NM

### None

    public static final PdfName None

### Normal

    public static final PdfName Normal

### NotApproved

    public static final PdfName NotApproved

### Note

    public static final PdfName Note

### NotForPublicRelease

    public static final PdfName NotForPublicRelease

### NU

    public static final PdfName NU

### Nums

    public static final PdfName Nums

### O

    public static final PdfName O

### ObjStm

    public static final PdfName ObjStm

### OC

    public static final PdfName OC

### OCG

    public static final PdfName OCG

### OCGs

    public static final PdfName OCGs

### OCMD

    public static final PdfName OCMD

### OCProperties

    public static final PdfName OCProperties

### OFF

    public static final PdfName OFF

### Off

    public static final PdfName Off

### ON

    public static final PdfName ON

### OneColumn

    public static final PdfName OneColumn

### OP

    public static final PdfName OP

### Open

    public static final PdfName Open

### OpenAction

    public static final PdfName OpenAction

### OpenArrow

    public static final PdfName OpenArrow

### OpenType

    public static final PdfName OpenType

### Opt

    public static final PdfName Opt

### Order

    public static final PdfName Order

### Ordering

    public static final PdfName Ordering

### OS

    public static final PdfName OS

### Outlines

    public static final PdfName Outlines

### Overlay

    public static final PdfName Overlay

### P

    public static final PdfName P

### Page

    public static final PdfName Page

### PageLabel

    public static final PdfName PageLabel

### PageLabels

    public static final PdfName PageLabels

### PageLayout

    public static final PdfName PageLayout

### PageMode

    public static final PdfName PageMode

### Pages

    public static final PdfName Pages

### PaintType

    public static final PdfName PaintType

### Paperclip

    public static final PdfName Paperclip

### Paragraph

    public static final PdfName Paragraph

### Params

    public static final PdfName Params

### Parent

    public static final PdfName Parent

### Pattern

    public static final PdfName Pattern

### PatternType

    public static final PdfName PatternType

### PC

    public static final PdfName PC

### PDFDocEncoding

    public static final PdfName PDFDocEncoding

### PI

    public static final PdfName PI

### PID

    public static final PdfName PID

### PL

    public static final PdfName PL

### PO

    public static final PdfName PO

### Polygon

    public static final PdfName Polygon

### PolyLine

    public static final PdfName PolyLine

### Popup

    public static final PdfName Popup

### Predictor

    public static final PdfName Predictor

### Prev

    public static final PdfName Prev

### PrevPage

    public static final PdfName PrevPage

### Print

    public static final PdfName Print

### PrintState

    public static final PdfName PrintState

### Producer

    public static final PdfName Producer

### Properties

    public static final PdfName Properties

### Push

    public static final PdfName Push

### PushPin

    public static final PdfName PushPin

### PV

    public static final PdfName PV

### Q

    public static final PdfName Q

### QuadPoints

    public static final PdfName QuadPoints

### R

    public static final PdfName R

### r

    public static final PdfName r

### R2L

    public static final PdfName R2L

### Range

    public static final PdfName Range

### RBGroups

    public static final PdfName RBGroups

### RC

    public static final PdfName RC

### RClosedArrow

    public static final PdfName RClosedArrow

### Rect

    public static final PdfName Rect

### Registry

    public static final PdfName Registry

### Rendition

    public static final PdfName Rendition

### Renditions

    public static final PdfName Renditions

### ResetForm

    public static final PdfName ResetForm

### Resources

    public static final PdfName Resources

### RF

    public static final PdfName RF

### RGB

    public static final PdfName RGB

### RI

    public static final PdfName RI

### RL

    public static final PdfName RL

### Root

    public static final PdfName Root

### ROpenArrow

    public static final PdfName ROpenArrow

### Rotate

    public static final PdfName Rotate

### RT

    public static final PdfName RT

### RunLengthDecode

    public static final PdfName RunLengthDecode

### S

    public static final PdfName S

### Saturation

    public static final PdfName Saturation

### Screen

    public static final PdfName Screen

### Separation

    public static final PdfName Separation

### SetOCGState

    public static final PdfName SetOCGState

### Shading

    public static final PdfName Shading

### Sig

    public static final PdfName Sig

### SinglePage

    public static final PdfName SinglePage

### Size

    public static final PdfName Size

### Slash

    public static final PdfName Slash

### SoftLight

    public static final PdfName SoftLight

### Sold

    public static final PdfName Sold

### Sound

    public static final PdfName Sound

### SP

    public static final PdfName SP

### Speaker

    public static final PdfName Speaker

### Split

    public static final PdfName Split

### Square

    public static final PdfName Square

### Squiggly

    public static final PdfName Squiggly

### SR

    public static final PdfName SR

### SS

    public static final PdfName SS

### St

    public static final PdfName St

### Stamp

    public static final PdfName Stamp

### StandardEncoding

    public static final PdfName StandardEncoding

### State

    public static final PdfName State

### StemV

    public static final PdfName StemV

### StrikeOut

    public static final PdfName StrikeOut

### StructParent

    public static final PdfName StructParent

### Subject

    public static final PdfName Subject

### SubmitForm

    public static final PdfName SubmitForm

### Subtype

    public static final PdfName Subtype

### Supplement

    public static final PdfName Supplement

### SW

    public static final PdfName SW

### Sy

    public static final PdfName Sy

### T

    public static final PdfName T

### Tabs

    public static final PdfName Tabs

### Tag

    public static final PdfName Tag

### Text

    public static final PdfName Text

### TF

    public static final PdfName TF

### Thread

    public static final PdfName Thread

### Threads

    public static final PdfName Threads

### TilingType

    public static final PdfName TilingType

### Timespan

    public static final PdfName Timespan

### Title

    public static final PdfName Title

### Toggle

    public static final PdfName Toggle

### TopSecret

    public static final PdfName TopSecret

### ToUnicode

    public static final PdfName ToUnicode

### TP

    public static final PdfName TP

### Trans

    public static final PdfName Trans

### TrimBox

    public static final PdfName TrimBox

### TrueType

    public static final PdfName TrueType

### TwoColumnLeft

    public static final PdfName TwoColumnLeft

### TwoColumnRight

    public static final PdfName TwoColumnRight

### TwoPageLeft

    public static final PdfName TwoPageLeft

### TwoPageRight

    public static final PdfName TwoPageRight

### Tx

    public static final PdfName Tx

### Type

    public static final PdfName Type

### Type0

    public static final PdfName Type0

### Type1

    public static final PdfName Type1

### Type1C

    public static final PdfName Type1C

### Type3

    public static final PdfName Type3

### U

    public static final PdfName U

### UC

    public static final PdfName UC

### Unchanged

    public static final PdfName Unchanged

### Uncover

    public static final PdfName Uncover

### Underline

    public static final PdfName Underline

### Unix

    public static final PdfName Unix

### URI

    public static final PdfName URI

### URL

    public static final PdfName URL

### Usage

    public static final PdfName Usage

### UseAttachments

    public static final PdfName UseAttachments

### UseNone

    public static final PdfName UseNone

### UseOC

    public static final PdfName UseOC

### UseOutlines

    public static final PdfName UseOutlines

### UseThumbs

    public static final PdfName UseThumbs

### V

    public static final PdfName V

### Version

    public static final PdfName Version

### Vertices

    public static final PdfName Vertices

### View

    public static final PdfName View

### ViewerPreferences

    public static final PdfName ViewerPreferences

### ViewState

    public static final PdfName ViewState

### VisiblePages

    public static final PdfName VisiblePages

### W

    public static final PdfName W

### WhitePoint

    public static final PdfName WhitePoint

### Widget

    public static final PdfName Widget

### Width

    public static final PdfName Width

### Widths

    public static final PdfName Widths

### Win

    public static final PdfName Win

### WinAnsiEncoding

    public static final PdfName WinAnsiEncoding

### Wipe

    public static final PdfName Wipe

### WP

    public static final PdfName WP

### WS

    public static final PdfName WS

### X

    public static final PdfName X

### XML

    public static final PdfName XML

### XObject

    public static final PdfName XObject

### XRef

    public static final PdfName XRef

### XStep

    public static final PdfName XStep

### XYZ

    public static final PdfName XYZ

### Yes

    public static final PdfName Yes

### YStep

    public static final PdfName YStep

### Z

    public static final PdfName Z

### Zoom

    public static final PdfName Zoom

Constructor Detail

### PdfName

    public PdfName(String value)

### PdfName

    public PdfName(String value,
                   boolean escaped)

  For internal use only.

Method Detail

### get

    public static PdfName get(Object value)

  Gets the object equivalent to the given value.

### get

    public static PdfName get(String value)

  Gets the object equivalent to the given value.

### accept

    public PdfObject accept(IVisitor visitor,
                            Object data)

  Description copied from interface: `IVisitable`
  Accepts a visit.

  Parameters:
    `visitor` - Visiting object.
    `data` - Supplemental data.
  Returns:
    Result object.

### compareTo

    public int compareTo(PdfDirectObject obj)

  Specified by:
    `compareTo` in interface `Comparable<PdfDirectObject>`
  Specified by:
    `compareTo` in class `PdfDirectObject`

### getValue

    public String getValue()

  Description copied from class: `PdfSimpleObject`
  Gets the high-level representation of the value.

  Overrides:
    `getValue` in class `PdfSimpleObject<String>`

### toString

    public String toString()

  Overrides:
    `toString` in class `PdfSimpleObject<String>`

### writeTo

    public void writeTo(IOutputStream stream,
                        File context)

  Description copied from class: `PdfObject`
  Serializes this object to the specified stream.

  Specified by:
    `writeTo` in class `PdfObject`
  Parameters:
    `stream` - Target stream.
    `context` - File context.

### setValue

    protected void setValue(Object value)

  Overrides:
    `setValue` in class `PdfSimpleObject<String>`
  See Also:
    `PdfSimpleObject.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.